Reports

Bulk Report

POST/v1/reports/bulk
POST
/v1/reports/bulk

Get daily warmup reports for up to 50 email accounts

Authorization

X-Api-Key<token>

In: header

Request Body

application/jsonRequired

emailAccountIdsarray<string>

Max 50 ids per request

Example: [1,2,3]

fromstring

Example: "2026-03-01"

tostring

Example: "2026-03-31"

Responses

200
200 response
{
  "reports": [
    {
      "emailAccountId": 12345,
      "from": "2026-03-01",
      "to": "2026-03-31",
      "days": [
        {
          "date": "2026-03-15",
          "sent": 25,
          "inbox": 20,
          "received": 22,
          "spam": 3,
          "bounced": 1,
          "undelivered": 0,
          "replied": 5,
          "deliverabilityRate": 92.5
        }
      ]
    }
  ]
}

Request

curl -X POST \
  "https://lupus-edge.trulyinbox.com/v1/reports/bulk" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "emailAccountIds": [
    1,
    2,
    3
  ],
  "from": "2026-03-01",
  "to": "2026-03-31"
}'

Response

No response body